### Virtual Method

# Camel Store delete_folder_sync

since: 3.0

#### Declaration [src]

    gboolean
    delete_folder_sync (
      CamelStore* store,
      const gchar* folder_name,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Deletes the folder described by `folder_name`. The folder must be empty.

Available since: 3.0

#### Parameters

`folder_name`

  Type: `const gchar*`

  Name of the folder to delete.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure.